Subject: Re: bug#15221: provide a mechanism to activate readline systemwide

From: "Arne Babenhauserheide (IMK)" <[email-masked]>
Date: Tue, 3 Sep 2013 10:52:42 +0200

I am not a lawyer either, but I know that the license of the executable
does not place restrictions on the license of the guile-specific code
(as long as that code is GPL-compatible).

Best wishes,
Arne

Am 30.08.2013 17:49, schrieb Noah Lavine:
> I am not a lawyer, but it seems to me that libguile could be under LGPL,
> but guile the executable could be under GPL, and therefore use readline
> by default.
> 
> As you say, there would have to be an option to turn it off. Maybe
> --no-readline?
> 
> Noah
> 
> 
> On Fri, Aug 30, 2013 at 10:01 AM, <[email-masked]
> <mailto:[email-masked]>> wrote:
> 
> 
>     ---- "Arne Babenhauserheide (IMK)" <[email-masked]
>     <mailto:[email-masked]>> wrote:
>     > Hi,
>     >
>     > Not having readline at the guile interpreter from the get-go in a GNU
>     > environment was a quite scarring experience for me, so it would be
>     great
>     > to have a way to enable readline by default.
>     >
>     > init.scm could provide that, but:
>     >
>     > <wingo> it seems to search the load path for init.scm
>     > <wingo> before loading anything else
>     > <wingo> tricky though, apparently that happens even before loading
>     boot-9
>     >
>     > Ideally there should be either a compileflag or a systemwide
>     config file
>     > to enable readline support in the whole system. If it is a
>     compile-flag
>     > it might be useful to not make it default, because developers why
>     > develop proprietary applications could then by accident compile a
>     > program with activated readline support.
>     >
>     > If such a flag existed, most GNU/Linux distributions could simply
>     > activate it for guile itself (as long as they do not ship unfree
>     scripts
>     > using guile which depend on readline support — those scripts would
>     > violate the GPL, but they would not work at all without readline
>     > support, so this dependency should be pretty clear).
> 
>     Sometimes readline gets in the way, for example, when using guile
>     with emacs.
> 
>     If it was enabled by default, then there also must be an option to
>     disable it when not needed.
> 
>     The main reason readline is not enabled by default (IIRC), is the
>     license differences between readline and guile. (GPL and LGPL)
> 
>     -Dale
> 
> 
> 
> 
> 

-- 
Doktorand
Gruppe: GHG

Raum: 435/410
Tel.: +49 721 608-22885
[email-masked]

Karlsruher Institut für Technologie
IMK-ASF
Postfach 36 40
76021 Karlsruhe